oCoreoCore Docs
API Reference

Shares

Returns all share links for an environment.

GET
/environments/{envId}/share

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

envIdRequiredstring

Environment ID

curl -X GET "//api.ocore.dev/api/environments/<string>/share" \
  -H "Authorization: <token>"

OK

{
  "shareLinks": [
    {}
  ],
  "total": 0
}

Creates a new share link for an environment (token or password protected).

POST
/environments/{envId}/share

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Share link request

expiresInstring

"24h", "168h" (7d), "720h" (30d)

labelstring
passwordstring
shareTypestring

Path Parameters

envIdRequiredstring

Environment ID

curl -X POST "//api.ocore.dev/api/environments/<string>/share" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "expiresIn": "string",
    "label": "string",
    "password": "string",
    "shareType": "string"
  }'

Created

{
  "id": "string",
  "shareType": "string",
  "url": "string"
}

Deactivates a share link (soft delete).

DELETE
/environments/{envId}/share/{linkId}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

envIdRequiredstring

Environment ID

linkIdRequiredstring

Share link ID

curl -X DELETE "//api.ocore.dev/api/environments/<string>/share/<string>" \
  -H "Authorization: <token>"

OK

{
  "message": "string"
}

Permanently removes a share link record.

DELETE
/environments/{envId}/share/{linkId}/permanent

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

envIdRequiredstring

Environment ID

linkIdRequiredstring

Share link ID

curl -X DELETE "//api.ocore.dev/api/environments/<string>/share/<string>/permanent" \
  -H "Authorization: <token>"

No Content

Proxy shared environment assets

Public endpoint that proxies root-relative Odoo asset requests via the share cookie.

GET
/s-proxy/{path}
curl -X GET "//api.ocore.dev/api/s-proxy/{path}"

Proxied asset content

"string"

Access shared environment

Public endpoint that validates a share token and proxies to the Odoo instance.

GET
/share/{token}

Path Parameters

tokenRequiredstring

Share token

curl -X GET "//api.ocore.dev/api/share/<string>"

Proxied Odoo content

"string"

Login to password-protected share

Public endpoint that validates a share password and sets a session cookie.

POST
/share/{token}/login

Request Body

application/jsonRequired

Login request

passwordstring

Path Parameters

tokenRequiredstring

Share token

curl -X POST "//api.ocore.dev/api/share/<string>/login" \
  -H "Content-Type: application/json" \
  -d '{
    "password": "string"
  }'

Redirect to share URL

"string"

Was this page helpful?